﻿.d-none {
    display: none !important;
}

/*.sm\:px-\[16px\]{padding: 0 16px !important;}*/
.grid-cols-45-55 {
    grid-template-columns: 45% 55%;
}

.bg-f2f7fb {
    background-color: #f2f7fb;
}

.grid-cols-40-50 {
    grid-template-columns: 40% 48%;
}

.pr-8i {
    padding-right: 8px !important;
}

.desktop-menu {
    z-index: 99;
}

.ticket-class-item {
    min-width: 310px !important;
}

.search-button:hover {
    color: #F00;
}

.gap-\[18px\] {
    gap: 18px;
}

.pb-\[16px\] {
    padding-bottom: 16px;
}

.leading-\[24px\] {
    line-height: 24px;
}

.h-\[60px\] {
    height: 60px;
}

.w-\[150px\] {
    width: 150px;
}

.w-\[650px\] {
    width: 650px;
}

.mt-6px {
    margin-top: 6px;
}

.search-box {
    background: #ffffff;
}

@media (min-width: 1280px) {
    .xl\:w-\[220px\] {
        width: 220px;
    }

    .xl\:w-\[650px\] {
        width: 650px;
    }

    .main-menu {
        position: relative;
    }

    .main-menu ul.ul-main-menu {
        position: absolute;
        top: -11px;
    }

    .main-menu .ul-main-menu li.li-menu-item {
        height: 60px;
        padding: 0;
    }

    .main-menu .ul-main-menu li.li-menu-item a.a-menu-item {
        height: 100%;
        padding: 5px 10px 20px;
    }

    .main-menu .ul-main-menu li.li-menu-item button {
        height: 100%;
        padding: 5px 10px 20px;
    }

    .main-menu .ul-main-menu li.li-menu-item:hover,
    .main-menu li.li-menu-item.active {
        background-image: url('/images/bg-menu-active.png');
        background-repeat: repeat-x;
        cursor: pointer;
    }
}

.lg\:space-x-\[10px\]> :not([hidden])~ :not([hidden]) {
    --tw-space-x-reverse: 0;
    margin-left: calc(10px * calc(1 - var(--tw-space-x-reverse)));
    margin-right: calc(10px * var(--tw-space-x-reverse));
}

.search-result-top .swiper-button-prev,
.search-result-top .swiper-button-next {
    z-index: unset;
}

.z-1 {
    z-index: 1;
}

.z-100 {
    z-index: 100;
}

a {
    cursor: pointer;
}

.order-info-content .order-info-row {
    grid-template-columns: 200px 250px !important;
}

.price-detail-content .order-info-row {
    grid-template-columns: 200px 140px !important;
}

@media screen and (max-width: 767px) {
    .order-info-content .order-info-row {
        grid-template-columns: 50% 50% !important;
    }
}

.modal:not(.fade) {
    display: flex;
    position: fixed;
    /* Stay in place */
    z-index: 50;
    /* Sit on top */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgba(0, 0, 0, 0.65);
    /* Black w/ opacity */
    justify-content: center;
    align-items: center;
}

.modal:not(.fade)>.modal-content {
    background-color: #fefefe;
    border: 1px solid #888;
    border-radius: 10px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
    margin: auto;
    max-width: 500px;
    padding: 20px;
    width: 80%;
}

.modal-header h2 {
    font-size: 20px;
    font-weight: 600;
}

.modal-header h2.success {
    color: #26A748;
}

.modal-header {
    align-items: center;
    display: flex;
    justify-content: space-between;
    padding: 10px;
}

.modal-footer {
    display: flex;
    justify-content: right;
    padding: 10px;
}

.modal-body {
    padding: 10px 10px;
}

.modal .base-button {
    align-items: center;
    background-color: #fff;
    border: 1px solid #F37121;
    border-radius: 6px;
    color: #F37121;
    display: flex;
    font-size: 14px;
    font-weight: 600;
    gap: 8px;
    justify-content: flex-start;
    padding: 10px 16px;
    width: 150px;
}

@media screen and (max-width: 767px) {
    .order-status-block .smiletrip-support span {
        font-size: 11px !important;
    }

    .ticket-list-action .invoice-btn {
        width: 100%;
        padding: 6px;
        font-size: 12px;
        height: 32px;
        white-space: nowrap;
    }

    .order-status-block .icon-step3-logo {
        width: 60px !important;
    }
}

@media screen and (min-width: 767px) {
    .luggage-row {
        display: grid;
        gap: 20px;
        grid-template-columns: repeat(3, 1fr);
    }
}

@media screen and (min-width: 1280px) {
    .luggage-row {
        display: grid;
        gap: 20px;
        grid-template-columns: 300px 210px 210px 210px !important;
    }
}

.policy-content h2 {
    padding-top: 10px;
}

.policy-content p {
    padding-top: 5px;
    font-size: 0.875rem;
    margin-bottom: 3px;
}

.policy-content ul {
    padding-left: 40px;
    list-style: inherit;
    font-size: 0.875rem;
}

.policy-content a {
    color: blue;
}

.icon-invoice {
    background: url(/images/icon-request-invoice.png) no-repeat center center;
    width: 16px;
    height: 16px;
    display: block;
    background-size: contain;
}

.invoice-btn {
    border: 1px solid #155ED2;
    border-radius: 6px;
    padding: 12px 16px;
    background-color: #fff;
    color: #155ED2;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 8px;
    font-weight: 600;
    font-size: 14px;
}

@media screen and (max-width: 1280px) {
    .invoice-btn {
        padding: 7px 16px !important;
    }
}

#loading-animation {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    /* Màu nền mờ để che nội dung trang */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    /* Đảm bảo div loading hiển thị trên cùng */
}

#loading-animation svg {
    width: 300px !important;
}

.button-contact-cskh {
    border: 2px solid #F37121;
    background: #fff;
    color: #F37121;
    font-weight: bold;
}

.button-contact-cskh:hover {
    background: #F37121;
    color: #fff;
}

.warning-booking-dup {
    display: flex;
    gap: 20px;
    margin: 10px 0 0;
    padding: 10px 15px;
    border-radius: 6px;
    background: #F9E9DF;
}

.warning-invalid-book {
    display: none;
    margin: 10px 20px 0;
    padding: 10px 15px;
    border-radius: 5px;
    background: #F9E9DF;
}

.search-result-item.active .warning-invalid-book {
    display: flex;
    gap: 5px;
}

.qr-code-mb {
    position: relative;
}

.qr-code-mb img {
    display: inline-block;
    width: 300px;
}

.qr-code-mb.expired img {
    opacity: 0.3
}

.qr-code-mb.expired button {
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    background: aliceblue;
    border-radius: 50%;
    width: 150px;
    padding: 0 20px;
    height: 150px;
    transform: translate(-50%, -50%);
}

.qr-code-mb.expired button span {
    display: inline-block;
    background: url(../images/refresh.png) no-repeat center center;
    width: 24px;
    height: 24px;
    background-size: contain;
}

.qr-code-mb button {
    display: none;
}

.qr-code-mb.expired button {
    display: block;
}

.Common_SeatStatus_Issue,
.Common_PaymentStatus_2 {
    --tw-text-opacity: 1 !important;
    color: rgb(38 167 72 / var(--tw-text-opacity)) !important
}

.Common_PaymentStatus_0 {
    color: #F37121 !important;
}

.view-more-result {
    margin: 10px;
    display: flex;
    justify-content: center
}

.view-more-result button {
    padding: 5px 10px;
    background: #fff;
    border-radius: 24px;
    color: #155ED2;
    border: 1px solid #155ED2;
    font-size: 1rem;
    width: 250px;
}

.view-more-result button:hover {
    background: #155ED2;
    color: #fff;
}

.text-nowrap {
    white-space: nowrap;
}